import { ColorScaleModel } from './ColorScaleModel';
export declare class DateColorScaleModel extends ColorScaleModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        min: any;
        max: any;
        mid: any;
        scheme: string;
        extrapolation: string;
        colors: any;
        min_range: number;
        mid_range: number;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        reverse: boolean;
        allow_padding: boolean;
    };
    set_init_state(): void;
    min_max_changed(): void;
    protected toDomainType(value: number): Date;
}
